#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libatasmart
Version		:	0.19
Release		:	17.0.10.rel%{?dist}
Summary		:	ATA S.M.A.R.T. Disk Health Monitoring Library
Group		:	System/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2.1+
URL		:	http://0pointer.de/public/libatasmart-0.19.tar.xz

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
A small and lightweight parser library for ATA S.M.A.R.T. hard disk
health monitoring.

As the name suggests libatasmart only does ATA S.M.A.R.T.,
there is no support for SCSI harddisks. SCSI S.M.A.R.T. is a
very different system, support for it should be implemented in
a separate library "libscsismart" if there should ever be
demand for it.

This library is supposed to be lean and small and thus
supports only a subset of the S.M.A.R.T. functionality.
However, I claim that it implements the relevant part of it.
If you need full control over all S.M.A.R.T. functionality of
your hardware please refer to Buce Allen's smartmontools.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	--disable-static				\


%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	

%files			
%defattr(-,root,root,-)

%doc README
%{_includedir}/atasmart.h
%{_sbindir}/skdump
%{_sbindir}/sktest
%{_libdir}/%{name}.{la,so*}
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/vala/vapi/atasmart.vapi

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
